
set infile [open 1qlq_smd_tcl.out r]
puts "infile"
set outfile [open 1qlq_smd_all.out w]
puts "outfile"
# i should be the true starting distance. This is about 12 for A8,
# about 19.5 for A13 (look at the initial displacement in xxx_smd_tcl.out
# that being said, this is somewhat arbitrary. If the actual distance trails
# the "set" distance, the actual distance can't really be more than the "set" 
# at full extenstion. See the last data points for example.
# v = 1 for original example of v = 0.002 in smd.tcl
# v = 0.25 for 0.0005
# v = 0.05 for 0.0001
# v = 0.025 for 0.00005
set v 2.5
set dt 0.1
set fsum 0
set i 0
while {$i < 260} { lappend c $i; set i [expr $i + $v * $dt] }
while { [gets $infile line] != -1 } {
set fsum [expr $fsum + [lindex $line 2] * $v * $dt]
puts $outfile "[lindex $line 0] [lindex $line 1] [expr $i + $v * [lindex $line 0]] [lindex $line 2] $fsum "
}
close $infile
close $outfile
# You should plot column 3 as the x
# 2 versus 3 gives actual displacement
# 4 versus 3 gives force
# 5 versus 3 gives work
#
#-- end file --
